# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/post.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from atlas.api import content_info_pb2 as atlas_dot_api_dot_content__info__pb2
from atlas.api import comment_pb2 as atlas_dot_api_dot_comment__pb2
from artemis.api import external_feed_pb2 as artemis_dot_api_dot_external__feed__pb2
from weclikd.common import page_info_pb2 as weclikd_dot_common_dot_page__info__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/post.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x14\x61tlas/api/post.proto\x12\x07weclikd\x1a\x1c\x61tlas/api/content_info.proto\x1a\x17\x61tlas/api/comment.proto\x1a\x1f\x61rtemis/api/external_feed.proto\x1a\x1eweclikd/common/page_info.proto\"\xa1\x01\n\nFeedFilter\x12\x11\n\tnum_posts\x18\x01 \x01(\r\x12&\n\x04sort\x18\x02 \x01(\x0e\x32\x18.weclikd.FeedFilter.Sort\x12\x0e\n\x06\x63ursor\x18\x03 \x01(\t\"H\n\x04Sort\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0c\n\x08TRENDING\x10\x01\x12\x0c\n\x08REPORTED\x10\x02\x12\x07\n\x03NEW\x10\x03\x12\x0e\n\nDISCUSSING\x10\x04\"0\n\x0b\x43liksFilter\x12\x11\n\tnum_cliks\x18\x01 \x01(\r\x12\x0e\n\x06\x63ursor\x18\x02 \x01(\t\"X\n\rReasonsShared\x12\x10\n\x08user_ids\x18\x01 \x03(\x04\x12\x10\n\x08\x63lik_ids\x18\x02 \x03(\x04\x12\x11\n\ttopic_ids\x18\x03 \x03(\x04\x12\x10\n\x08\x66\x65\x65\x64_ids\x18\x04 \x03(\x04\"\x9a\x03\n\x04Post\x12*\n\x0c\x63ontent_info\x18\x01 \x01(\x0b\x32\x14.weclikd.ContentInfo\x12\r\n\x05\x63liks\x18\x02 \x03(\t\x12\x10\n\x08\x63lik_ids\x18\x03 \x03(\x04\x12\x0e\n\x06topics\x18\x04 \x03(\t\x12\x11\n\ttopic_ids\x18\x05 \x03(\x04\x12\r\n\x05title\x18\x06 \x01(\t\x12\x0f\n\x07summary\x18\x07 \x01(\t\x12\x0b\n\x03url\x18\x08 \x01(\t\x12\x1c\n\x14thumbnail_picture_id\x18\t \x01(\x04\x12\x13\n\x0bpicture_ids\x18\n \x03(\x04\x12\'\n\ndiscussion\x18\x0b \x01(\x0b\x32\x13.weclikd.Discussion\x12\x11\n\tsharer_id\x18\x0c \x01(\x04\x12\x0e\n\x06source\x18\r \x01(\t\x12\x32\n\rexternal_feed\x18\x0e \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\x12.\n\x0ereasons_shared\x18\x0f \x01(\x0b\x32\x16.weclikd.ReasonsShared\x12\x12\n\nother_urls\x18\x10 \x03(\t\"O\n\x04\x46\x65\x65\x64\x12\x1c\n\x05posts\x18\x01 \x03(\x0b\x32\r.weclikd.Post\x12)\n\x0e\x66\x65\x65\x64_page_info\x18\x02 \x01(\x0b\x32\x11.weclikd.PageInfob\x06proto3'
  ,
  dependencies=[atlas_dot_api_dot_content__info__pb2.DESCRIPTOR,atlas_dot_api_dot_comment__pb2.DESCRIPTOR,artemis_dot_api_dot_external__feed__pb2.DESCRIPTOR,weclikd_dot_common_dot_page__info__pb2.DESCRIPTOR,])



_FEEDFILTER_SORT = _descriptor.EnumDescriptor(
  name='Sort',
  full_name='weclikd.FeedFilter.Sort',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='TRENDING', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='REPORTED', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='NEW', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='DISCUSSING', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=243,
  serialized_end=315,
)
_sym_db.RegisterEnumDescriptor(_FEEDFILTER_SORT)


_FEEDFILTER = _descriptor.Descriptor(
  name='FeedFilter',
  full_name='weclikd.FeedFilter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='num_posts', full_name='weclikd.FeedFilter.num_posts', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sort', full_name='weclikd.FeedFilter.sort', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cursor', full_name='weclikd.FeedFilter.cursor', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _FEEDFILTER_SORT,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=154,
  serialized_end=315,
)


_CLIKSFILTER = _descriptor.Descriptor(
  name='CliksFilter',
  full_name='weclikd.CliksFilter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='num_cliks', full_name='weclikd.CliksFilter.num_cliks', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cursor', full_name='weclikd.CliksFilter.cursor', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=317,
  serialized_end=365,
)


_REASONSSHARED = _descriptor.Descriptor(
  name='ReasonsShared',
  full_name='weclikd.ReasonsShared',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_ids', full_name='weclikd.ReasonsShared.user_ids', index=0,
      number=1, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_ids', full_name='weclikd.ReasonsShared.clik_ids', index=1,
      number=2, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_ids', full_name='weclikd.ReasonsShared.topic_ids', index=2,
      number=3, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_ids', full_name='weclikd.ReasonsShared.feed_ids', index=3,
      number=4, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=367,
  serialized_end=455,
)


_POST = _descriptor.Descriptor(
  name='Post',
  full_name='weclikd.Post',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_info', full_name='weclikd.Post.content_info', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cliks', full_name='weclikd.Post.cliks', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_ids', full_name='weclikd.Post.clik_ids', index=2,
      number=3, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topics', full_name='weclikd.Post.topics', index=3,
      number=4, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_ids', full_name='weclikd.Post.topic_ids', index=4,
      number=5, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.Post.title', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.Post.summary', index=6,
      number=7, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.Post.url', index=7,
      number=8, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_picture_id', full_name='weclikd.Post.thumbnail_picture_id', index=8,
      number=9, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='picture_ids', full_name='weclikd.Post.picture_ids', index=9,
      number=10, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion', full_name='weclikd.Post.discussion', index=10,
      number=11, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sharer_id', full_name='weclikd.Post.sharer_id', index=11,
      number=12, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='source', full_name='weclikd.Post.source', index=12,
      number=13, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='external_feed', full_name='weclikd.Post.external_feed', index=13,
      number=14, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='reasons_shared', full_name='weclikd.Post.reasons_shared', index=14,
      number=15, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='other_urls', full_name='weclikd.Post.other_urls', index=15,
      number=16, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=458,
  serialized_end=868,
)


_FEED = _descriptor.Descriptor(
  name='Feed',
  full_name='weclikd.Feed',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='posts', full_name='weclikd.Feed.posts', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_page_info', full_name='weclikd.Feed.feed_page_info', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=870,
  serialized_end=949,
)

_FEEDFILTER.fields_by_name['sort'].enum_type = _FEEDFILTER_SORT
_FEEDFILTER_SORT.containing_type = _FEEDFILTER
_POST.fields_by_name['content_info'].message_type = atlas_dot_api_dot_content__info__pb2._CONTENTINFO
_POST.fields_by_name['discussion'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSION
_POST.fields_by_name['external_feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_POST.fields_by_name['reasons_shared'].message_type = _REASONSSHARED
_FEED.fields_by_name['posts'].message_type = _POST
_FEED.fields_by_name['feed_page_info'].message_type = weclikd_dot_common_dot_page__info__pb2._PAGEINFO
DESCRIPTOR.message_types_by_name['FeedFilter'] = _FEEDFILTER
DESCRIPTOR.message_types_by_name['CliksFilter'] = _CLIKSFILTER
DESCRIPTOR.message_types_by_name['ReasonsShared'] = _REASONSSHARED
DESCRIPTOR.message_types_by_name['Post'] = _POST
DESCRIPTOR.message_types_by_name['Feed'] = _FEED
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

FeedFilter = _reflection.GeneratedProtocolMessageType('FeedFilter', (_message.Message,), {
  'DESCRIPTOR' : _FEEDFILTER,
  '__module__' : 'atlas.api.post_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FeedFilter)
  })
_sym_db.RegisterMessage(FeedFilter)

CliksFilter = _reflection.GeneratedProtocolMessageType('CliksFilter', (_message.Message,), {
  'DESCRIPTOR' : _CLIKSFILTER,
  '__module__' : 'atlas.api.post_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CliksFilter)
  })
_sym_db.RegisterMessage(CliksFilter)

ReasonsShared = _reflection.GeneratedProtocolMessageType('ReasonsShared', (_message.Message,), {
  'DESCRIPTOR' : _REASONSSHARED,
  '__module__' : 'atlas.api.post_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ReasonsShared)
  })
_sym_db.RegisterMessage(ReasonsShared)

Post = _reflection.GeneratedProtocolMessageType('Post', (_message.Message,), {
  'DESCRIPTOR' : _POST,
  '__module__' : 'atlas.api.post_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Post)
  })
_sym_db.RegisterMessage(Post)

Feed = _reflection.GeneratedProtocolMessageType('Feed', (_message.Message,), {
  'DESCRIPTOR' : _FEED,
  '__module__' : 'atlas.api.post_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Feed)
  })
_sym_db.RegisterMessage(Feed)


# @@protoc_insertion_point(module_scope)
